Download OpenAPI specification:Download
Create a recipient and add it to an existing share
| shareId required | string <guid> Example: e3f11b48-a4d2-46af-a897-a6a9327d4191 The identifier of the share this recipient belongs to |
| firstName | string or null Recipient first name |
| lastName | string or null Recipient last name |
string or null <email> ^[^@]+@[^@]+$ Recipient email. Email is required if mobile is not provided or if it used by authentications or notifications | |
| mobile | string or null Recipient mobile. Mobile is required if email is not provided or if it used by authentications or notifications |
| fileRestrictions | Array of strings or null <guid> [ items <guid > ] A list of file ids that this recipient has access to, if empty, this recipient will have access to all the file from the share |
required | Array of objects (AuthenticationDto) non-empty List of authentication methods for a recipient |
(NotificationDto (object or null)) Recipient notification setup | |
| externalReference | string or null Create a reference to your own system |
{- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "+4771234567",
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "nbid",
- "idpId": "1234-3456-5678",
- "nin": "12345678901"
}
], - "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En",
- "emailTemplate": null,
- "smsTemplate": null
}, - "externalReference": "739f4667-cd4a-419d-a592-5a0dd45edec6"
}{- "id": "1d03cf9e-af72-4054-b743-4ff6bb95bff8",
- "externalReference": "689c8a69-53a1-4ce3-b645-5fc108a983e9",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [
- {
- "id": "95b70ea9-2e8a-4a89-928c-35fb19a44fbe",
- "lastDownloadedAt": "2026-03-12T15:12:39.68169+00:00"
}
], - "fileRestrictions": [
- "95b70ea9-2e8a-4a89-928c-35fb19a44fbe"
], - "authentication": [
- {
- "identityProvider": "otp-sms",
- "idpId": null,
- "nin": null
}, - {
- "identityProvider": "otp-email",
- "idpId": null,
- "nin": null
}
], - "loggedInTime": "2026-03-12T15:07:39.6816941+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En",
- "emailTemplate": null,
- "smsTemplate": null
}
}Remove a recipient from an existing share
| shareId required | string <guid> Example: ae016e32-fe8e-49b0-b936-13505fd3d89b Unique Share identifier |
| recipientId required | string <guid> Example: e257a10c-c0a6-480b-b138-2232fc048782 Unique Recipient identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Get a recipient from an existing share
| shareId required | string <guid> Example: 5cc2c370-ef47-49b3-bb81-563c99d968a9 Unique Share identifier |
| recipientId required | string <guid> Example: 2fd59554-79b3-41b8-81ea-4b4535e37760 Unique Recipient identifier |
{- "id": "f2d0d33d-efdf-4a2e-849e-b1505433f11a",
- "externalReference": "ca337398-bc82-4d66-b332-3a2bca4721b3",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [
- {
- "id": "9b61a623-02c1-460e-9937-5f5017690dc5",
- "lastDownloadedAt": "2026-03-12T15:12:39.682759+00:00"
}
], - "fileRestrictions": [
- "9b61a623-02c1-460e-9937-5f5017690dc5"
], - "authentication": [
- {
- "identityProvider": "otp-sms",
- "idpId": null,
- "nin": null
}, - {
- "identityProvider": "otp-email",
- "idpId": null,
- "nin": null
}
], - "loggedInTime": "2026-03-12T15:07:39.6827632+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En",
- "emailTemplate": null,
- "smsTemplate": null
}
}Update a recipient from an existing share
| shareId required | string <guid> Example: 672ae126-cb3e-49cc-8761-3e3eda2f6274 The identifier of the share this recipient belongs to |
| recipientId required | string <guid> Example: 77ab94fb-2927-4c03-a188-e1a81e13fed6 Unique recipient identifier |
| firstName | string or null Recipient first name |
| lastName | string or null Recipient last name |
string or null <email> ^[^@]+@[^@]+$ Recipient email | |
| mobile | string or null Recipient mobile |
| externalReference | string or null Create a reference to your own system |
| fileRestrictions | Array of strings or null <guid> [ items <guid > ] A list of file ids that this recipient has access to, if empty, this recipient will have access to all the file from the share |
Array of objects or null (AuthenticationDto) List of authentication methods for a recipient | |
(UpdateNotificationDto (object or null)) Recipient notification setup |
{- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "+4771234567",
- "externalReference": "b33c02a7-8ab5-4b39-b79c-720d6fdaa34b",
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "sbid",
- "idpId": "5678-1234-3456",
- "nin": "10234567893"
}
], - "notification": {
- "sendEmail": true,
- "sensSms": true,
- "language": null,
- "emailTemplate": null,
- "smsTemplate": null
}
}{- "id": "2eba0326-e5d6-44c3-9a8c-dad549cc84a8",
- "externalReference": "2db2a042-8590-498f-a392-e812c6115410",
- "firstName": "John",
- "lastName": "Johnson",
- "email": "john.johnson@signicat.com",
- "mobile": "0777777777",
- "fileAccessInfos": [ ],
- "fileRestrictions": [ ],
- "authentication": [
- {
- "identityProvider": "sbid",
- "idpId": "5678-1234-3456",
- "nin": "10234567893"
}
], - "loggedInTime": "2026-03-12T15:07:39.6843518+00:00",
- "url": null,
- "notification": {
- "sendEmail": true,
- "sendSms": true,
- "language": "En",
- "emailTemplate": null,
- "smsTemplate": null
}
}Send a reminder notification to a specific recipient
| shareId required | string <guid> Example: 2611a4b1-59ff-45b1-9a2b-c8c2658704b6 Unique Share identifier |
| recipientId required | string <guid> Example: 8c254820-783d-480c-b7b2-d900e4e5777f Unique Recipient identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Remove a file from the storage
| shareId required | string <guid> Example: 508c1f2c-7437-4764-95ba-86cee353e42d Unique Share identifier |
| fileId required | string <guid> Example: 926b6f2d-3289-4562-a613-7c0b048bd50a Unique File identifier |
{- "type": null,
- "title": null,
- "status": null,
- "detail": null,
- "instance": null
}Upload a file(s) using multipart/form-data request body
| shareId required | string <guid> Example: 40a8bb50-9787-4059-a912-96f787928790 Unique Share identifier |
[- {
- "id": "79b27ba7-3397-40b5-ba6b-4ea3fd6ff7c4",
- "name": "File1",
- "status": "Success",
- "size": 1234,
- "message": null
}, - {
- "id": "f2f6da38-29b3-4a71-bb75-5869d2e39ff8",
- "name": "File2",
- "status": "VirusFound",
- "size": 5023412,
- "message": "This file contains a malicious script"
}, - {
- "id": "e1b805f6-b774-419a-82d2-81b790ac3203",
- "name": "File3",
- "status": "Failed",
- "size": 5678,
- "message": "Something went wrong uploading the file"
}, - {
- "id": "6b8a844a-2959-4abb-b2da-aa60aeff27eb",
- "name": "File4",
- "status": "Success",
- "size": 69420,
- "message": null
}
]